﻿
using System;
using System.Drawing;
using Wisej.Web;

namespace Wisej.DGVBackground
{
	public partial class Page1 : Page
	{
		public Page1()
		{
			InitializeComponent();
		}

		private void Page1_Load(object sender, EventArgs e)
		{
			this.dataGridView1.BackColor = Color.White;

			var gray = new DataGridViewCellStyle() {
				BackColor = Color.White
			};
			var white = new DataGridViewCellStyle() {
				BackColor = Color.White
			};

			this.dataGridView1.RowCount = 3;
			this.dataGridView2.RowCount = 3;

			for (var i = 0; i < this.dataGridView1.RowCount; i++)
			{
				this.dataGridView1.SetValue(0, i, i);
				this.dataGridView1.SetValue(1, i, i);
				this.dataGridView1.SetValue(2, i, i);
			}
			for (var i = 0; i < this.dataGridView2.RowCount; i++)
			{
				this.dataGridView2.SetValue(0, i, i);
				this.dataGridView2.SetValue(1, i, i);
				this.dataGridView2.SetValue(2, i, i);
			}

			this.dataGridView1.CellBorderStyle = DataGridViewCellBorderStyle.None;

			for (var i = 0; i < this.dataGridView1.RowCount; i++) {
				this.dataGridView1.Rows[i].DefaultCellStyle = gray;
			}

			this.dataGridView2.Columns[1].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;
			this.dataGridView2.Columns[2].AutoSizeMode = DataGridViewAutoSizeColumnMode.Fill;

		}
	}
}
